## org.apache.mahout.math.stats
Interface OnlineAuc

All Superinterfaces:
  org.apache.hadoop.io.Writable

All Known Implementing Classes:
  GlobalOnlineAuc, GroupedOnlineAuc

    public interface OnlineAuc

extends org.apache.hadoop.io.Writable

Describes the generic outline of how to compute AUC. Currently there are two implementations of this, one for computing a global estimate of AUC and the other for computing average grouped AUC. Grouped AUC is useful when misusing a classifier as a recommendation system.

Method Summary
`double` `addSample(int category, double score)`
`double` `addSample(int category, String groupKey, double score)`
`double` `auc()`
`void` `setPolicy(org.apache.mahout.math.stats.GlobalOnlineAuc.ReplacementPolicy policy)`
`void` `setWindowSize(int windowSize)`

Methods inherited from interface org.apache.hadoop.io.Writable
`readFields, write`

Method Detail

### addSample

    double addSample(int category,
                     String groupKey,
                     double score)

### addSample

    double addSample(int category,
                     double score)

### auc

    double auc()

### setPolicy

    void setPolicy(org.apache.mahout.math.stats.GlobalOnlineAuc.ReplacementPolicy policy)

### setWindowSize

    void setWindowSize(int windowSize)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.